{
	saved_FirstTime[0]
	
	Init[ ()
	{
		if(saved_FirstTime=0)
		{
			saved_FirstTime=1;
			SetNationality(1);
			SetWeaponAttach(97);
			SetPassable(1);
		}
	}]

	DelayReached[ (s)
	{
		if(s = 1)
		{
			ShowEntity(false);
			SetPassable(1);

			me = GetID();
			switch(me)
			{
				case "mike"
				{
					SetPosition(25172,2372,128);
				}
				case "ike"
				{
					SetPosition(3200,2176,128);
				}
			}

		}
		if(s = 2)
		{
			Level.ObjectiveComplete(1);
		}
		if(s = 3)
		{

			if(Level.saved_FlakDestroyed = 1)
			{
				Level.saved_FlakDestroyed = 0;
				flakgun = Level.GetEntity("flak");
				flakgun.SetUsable(false);
				TurretShootAt(flakgun);
				flakgun.PlaySound(3,100,true);
				Level.CreateEffect(55,61,0,13460,10656,128,128,14,72,72);
				Self = Level.GetPlayer();
				xPos = Self.GetPositionX();
				yPos = Self.GetPositionY();
				Level.GetPlayer().DamageHere(xPos, yPos, 3000,8);
				flakgun.SetModel(48);
				Rampage();
			}
			else
			{
				TurretShootAt(Level.GetPlayer());
				Rampage();
			}
		}
		if(s = 4)
		{
			Level.Debug("Mistery Victory Call");
			return;
		}
		if(s=5)
		{
			Delay(1,6);
		}
		if(s=6)
		{
			Rampage();	
		}
    	 }]

	Respawn[ ()
	{
		if (Level.saved_BackupArrived = 1)
		{
			me = GetID();
			switch(me)
			{
				case "mike"
				{
					SetPosition(25172,2372,128);
					ShowEntity(1);
					SetModel(34);
					SetDead(false);
					SetPassable(1);
					GoPath();
				}
				case "ike"
				{
					SetPosition(3200,2176,128);
					ShowEntity(1);
					SetModel(34);
					SetDead(false);
					SetPassable(1);
					GoPath();
				}
			}
		}
	}]

	GoPath[ ()
	{
		me = GetID();
		switch(me)
		{
			case "mike"
			{
				FollowPath("Tank_Charge_1", 0);
				FollowPathCallback(127, "Rampage");
			}
			case "ike"
			{
				FollowPath("Tank_Charge_3", 0);
				FollowPathCallback(127, "Rampage");
			}
		}
	}]

	Rampage[ ()
	{
		if(Level.saved_InRange=1)
		{
			Delay(10, 3);
		}
		else
		{
			Delay(3,5);
		}
	}]
}